## pentobi 25.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.19)

project(pentobi CXX)
set(PENTOBI_VERSION 25.2)

include(GNUInstallDirs)

option(PENTOBI_BUILD_GUI "Build GUI" ON)
option(PENTOBI_BUILD_GTP "Build GTP interface" OFF)
option(BUILD_TESTING "Build tests" OFF)

if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
  message(STATUS "No build type selected, default to Release")
  set(CMAKE_BUILD_TYPE Release)
endif()

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

if(BUILD_TESTING)
  enable_testing()
endif()

if(UNIX)
  add_custom_target(dist
    COMMAND git archive --prefix=pentobi-${PENTOBI_VERSION}/ HEAD
    | xz -e > ${CMAKE_BINARY_DIR}/pentobi-${PENTOBI_VERSION}.tar.xz
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
endif()

find_package(Threads)
add_subdirectory(libboardgame_base)
add_subdirectory(libboardgame_mcts)
add_subdirectory(libpentobi_base)
add_subdirectory(libpentobi_mcts)
if(BUILD_TESTING)
    add_subdirectory(libboardgame_test)
endif()
if(PENTOBI_BUILD_GTP)
    add_subdirectory(libboardgame_gtp)
    add_subdirectory(libpentobi_gtp)
    add_subdirectory(pentobi_gtp)
    if(UNIX)
        add_subdirectory(twogtp)
    else()
        message(STATUS "Not building twogtp, needs POSIX")
    endif()
    add_subdirectory(learn_tool)
endif()
if(PENTOBI_BUILD_GUI)
    find_package(Gettext 0.19.6 REQUIRED)
    find_program(ITSTOOL itstool REQUIRED)
    find_program(RSVG_CONVERT rsvg-convert REQUIRED)
    set(CMAKE_AUTORCC ON)
    find_package(Qt6 6.4 REQUIRED
        COMPONENTS Concurrent LinguistTools QuickControls2)
    qt_standard_project_setup()
    add_subdirectory(pentobi)
endif()

=== pentobi/CMakeLists.txt ===
qt_add_translation(pentobi_QM
    i18n/qml_de.ts
    i18n/qml_es.ts
    i18n/qml_fr.ts
    i18n/qml_nb_NO.ts
    i18n/qml_ru.ts
    i18n/qml_zh_CN.ts
    OPTIONS -removeidentical -nounfinished
    )
add_custom_command(
    OUTPUT translations.qrc
    COMMAND ${CMAKE_COMMAND} -E copy
    "${CMAKE_CURRENT_SOURCE_DIR}/i18n/translations.qrc" .
    DEPENDS i18n/translations.qrc ${pentobi_QM}
    )

# Images and icons to be used with QtQuick Image. We use sourceSize four times
# larger than the device-indepenent size to support high-dpi images.
file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/icon")
file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/icons")
file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/themes/dark")
file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/themes/light")
set(pentobi_images
    icon/pentobi-48
    themes/dark/menu
    themes/dark/menu-desktop
    themes/dark/pentobi-backward
    themes/dark/pentobi-backward10
    themes/dark/pentobi-beginning
    themes/dark/pentobi-computer-colors
    themes/dark/pentobi-end
    themes/dark/pentobi-forward
    themes/dark/pentobi-forward10
    themes/dark/pentobi-newgame
    themes/dark/pentobi-next-variation
    themes/dark/pentobi-play
    themes/dark/pentobi-previous-variation
    themes/dark/pentobi-rated-game
    themes/dark/pentobi-stop
    themes/dark/pentobi-undo
    themes/dark/piece-manipulator-desktop
    themes/dark/piece-manipulator-desktop-legal
    themes/dark/piece-manipulator
    themes/dark/piece-manipulator-legal
    themes/light/menu
    themes/light/menu-desktop
    themes/light/pentobi-backward
    themes/light/pentobi-backward10
    themes/light/pentobi-beginning
    themes/light/pentobi-computer-colors
    themes/light/pentobi-end
    themes/light/pentobi-forward
    themes/light/pentobi-forward10
    themes/light/pentobi-newgame
    themes/light/pentobi-next-variation
    themes/light/pentobi-play
    themes/light/pentobi-previous-variation
    themes/light/pentobi-rated-game
    themes/light/pentobi-stop
    themes/light/pentobi-undo
    themes/light/piece-manipulator-desktop
    themes/light/piece-manipulator-desktop-legal
    themes/light/piece-manipulator
    themes/light/piece-manipulator-legal
    )
foreach(image ${pentobi_images})
    add_custom_command(OUTPUT "${image}.png"
        COMMAND "${RSVG_CONVERT}" -x 4 -y 4
        "${CMAKE_CURRENT_SOURCE_DIR}/${image}.svg" > "${image}.png"
        DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/${image}.svg"
        )
    list(APPEND images_png "${image}.png")
endforeach()
add_custom_command(
    OUTPUT icons.qrc
    COMMAND ${CMAKE_COMMAND} -E copy "${CMAKE_CURRENT_SOURCE_DIR}/icons.qrc" .
    DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/icons.qrc" ${images_png}
    )

add_custom_command(
    OUTPUT icons_desktop.qrc
    COMMAND ${CMAKE_COMMAND} -E copy
    "${CMAKE_CURRENT_SOURCE_DIR}/icons_desktop.qrc" .
    DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/icons_desktop.qrc" ${images_png}
    )

set(pentobi_src
    AnalyzeGameModel.h
    AnalyzeGameModel.cpp
    AndroidUtils.h
    AndroidUtils.cpp
    DocbookReader.h
    DocbookReader.cpp
    GameModel.h
    GameModel.cpp
    ImageProvider.h
    ImageProvider.cpp
    Main.cpp
    Paint.h
    Paint.cpp
    PieceModel.h
    PieceModel.cpp
    PlayerModel.h
    PlayerModel.cpp
    RatingModel.h
    RatingModel.cpp
    RecentFiles.h
    RecentFiles.cpp
    SyncSettings.h
    resources.qrc
    "${CMAKE_CURRENT_BINARY_DIR}/translations.qrc"
    "${CMAKE_CURRENT_BINARY_DIR}/icons.qrc"
    "${CMAKE_CURRENT_BINARY_DIR}/icons_desktop.qrc"
    "${CMAKE_CURRENT_BINARY_DIR}/help/help.qrc"
    ../opening_books/pentobi_books.qrc
    )
if (WIN32)
    list(APPEND pentobi_src "windows/pentobi.rc")
endif()

add_custom_command(
    OUTPUT help/help.qrc
    COMMAND ${CMAKE_COMMAND} -E copy
    "${CMAKE_CURRENT_SOURCE_DIR}/help/help.qrc" help
    DEPENDS pentobi-help help/help.qrc
    )

qt_add_executable(pentobi WIN32 ${pentobi_src})

qt_add_qml_module(pentobi
    URI qml
    VERSION 0.0
    QML_FILES
      AboutDialog.qml
      AnalyzeDialog.qml
      AnalyzeGame.qml
      AppearanceDialog.qml
      Board.qml
      BoardContextMenu.qml
      ButtonCancel.qml
      ButtonClose.qml
      ButtonOk.qml
      ComputerDialog.qml
      Comment.qml
      DialogButtonBoxOkCancel.qml
      DialogLoader.qml
      ExportImageDialog.qml
      FatalMessage.qml
      GameViewDesktop.qml
      GameViewMobile.qml
      GameInfoDialog.qml
      GameVariantDialog.qml
      GotoMoveDialog.qml
      HelpDialog.qml
      HelpViewer.qml
      HelpWindow.qml
      ImageSaveDialog.qml
      InitialRatingDialog.qml
      LineSegment.qml
      Main.qml
      MessageDialog.qml
      MenuComputer.qml
      MenuEdit.qml
      MenuGame.qml
      MenuGo.qml
      MenuHelp.qml
      MenuRecentFiles.qml
      MenuTools.qml
      MenuView.qml
      MoveAnnotationDialog.qml
      NavigationButtons.qml
      NavigationPanel.qml
      OpenDialog.qml
      PentobiBusyIndicator.qml
      PentobiButton.qml
      PentobiDialog.qml
      PentobiDialogButtonBox.qml
      PentobiMenu.qml
      PentobiMenuItem.qml
      PentobiToolBar.qml
      PieceBase.qml
      PieceCallisto.qml
      PieceClassic.qml
      PieceGembloQ.qml
      PieceList.qml
      PieceManipulator.qml
      PieceNexos.qml
      PieceRotationAnimation.qml
      PieceSelectorDesktop.qml
      PieceSelectorMobile.qml
      PieceSwitchedFlipAnimation.qml
      PieceTrigon.qml
      QuarterSquare.qml
      QuestionDialog.qml
      RatingDialog.qml
      RatingGraph.qml
      SaveDialog.qml
      ScoreDisplay.qml
      ScoreElement.qml
      ScoreElement2.qml
      Square.qml
      Triangle.qml
      Main.js
      GameView.js
      themes/colorblind-dark/Theme.qml
      themes/colorblind-light/Theme.qml
      themes/dark/Theme.qml
      themes/light/Theme.qml
      themes/system/Theme.qml
)

if(ANDROID)
    target_link_libraries(pentobi PRIVATE Qt::CorePrivate)
    set_property(TARGET pentobi APPEND PROPERTY
        QT_ANDROID_PACKAGE_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/android)
else()
    install(TARGETS pentobi)
endif()

target_compile_definitions(pentobi PRIVATE
    QT_DEPRECATED_WARNINGS
    QT_DISABLE_DEPRECATED_BEFORE=0x060700
    QT_NO_NARROWING_CONVERSIONS_IN_CONNECT
    VERSION="${PENTOBI_VERSION}"
    )

target_link_libraries(pentobi PRIVATE
    pentobi_mcts
    Qt::Concurrent
    Qt::Qml
    Qt::QuickControls2
    Threads::Threads
    )

add_subdirectory(help)
if(UNIX AND NOT ANDROID)
    add_subdirectory(unix)
endif()

=== libboardgame_mcts/tests/CMakeLists.txt ===
add_executable(test_libboardgame_mcts
  NodeTest.cpp
)

target_link_libraries(test_libboardgame_mcts
    boardgame_test_main
    boardgame_mcts
    )

add_test(libboardgame_mcts test_libboardgame_mcts)

=== pentobi/help/CMakeLists.txt ===
file(READ "${CMAKE_CURRENT_SOURCE_DIR}/po/LINGUAS" linguas)
string(REGEX REPLACE "\n" ";" linguas "${linguas}")

set(DOCBOOK_SRC
    docbook/index.docbook
    docbook/analysis.jpg
    docbook/board_callisto.png
    docbook/board_classic.png
    docbook/board_duo.png
    docbook/board_gembloq.png
    docbook/board_nexos.png
    docbook/board_trigon.jpg
    docbook/pieces_callisto.png
    docbook/pieces_gembloq.jpg
    docbook/pieces_junior.png
    docbook/pieces_nexos.png
    docbook/pieces.png
    docbook/pieces_trigon.jpg
    docbook/position_callisto.png
    docbook/position_classic.png
    docbook/position_duo.png
    docbook/position_gembloq.png
    docbook/position_nexos.png
    docbook/position_trigon.jpg
    docbook/rating.jpg
    )

foreach(lang ${linguas})
    add_custom_command(OUTPUT ${lang}.mo
        COMMAND "${GETTEXT_MSGFMT_EXECUTABLE}" -o ${lang}.mo
        "${CMAKE_CURRENT_SOURCE_DIR}/po/${lang}.po"
        DEPENDS po/${lang}.po
        )
    list(APPEND index_files "help/index_${lang}.docbook")
    add_custom_command(OUTPUT "help/index_${lang}.docbook"
        COMMAND "${ITSTOOL}" -m ${lang}.mo -o "help/index_${lang}.docbook"
        "${CMAKE_CURRENT_SOURCE_DIR}/docbook/index.docbook"
        DEPENDS docbook/index.docbook ${lang}.mo
        )
endforeach()

add_custom_command(OUTPUT "help/index.docbook"
    COMMAND ${CMAKE_COMMAND} -E copy_directory
    "${CMAKE_CURRENT_SOURCE_DIR}/docbook" "help"
    DEPENDS ${DOCBOOK_SRC}
    )

add_custom_target(pentobi-help ALL DEPENDS "help/index.docbook" ${index_files})

=== pentobi/unix/CMakeLists.txt ===
# Binary gettext files

file(READ "${CMAKE_CURRENT_SOURCE_DIR}/po/LINGUAS" linguas)
string(REGEX REPLACE "\n" ";" linguas "${linguas}")

foreach(lang ${linguas})
    add_custom_command(OUTPUT ${lang}.mo
        COMMAND "${GETTEXT_MSGFMT_EXECUTABLE}" -o ${lang}.mo
        "${CMAKE_CURRENT_SOURCE_DIR}/po/${lang}.po"
        DEPENDS po/${lang}.po
        )
    list(APPEND po_files po/${lang}.po)
endforeach()

# Icons

foreach(sz 16 22 48 128)
    add_custom_command(OUTPUT pentobi-${sz}.png
        COMMAND "${RSVG_CONVERT}"
        "${CMAKE_CURRENT_SOURCE_DIR}/../icon/pentobi-${sz}.svg"
        > pentobi-${sz}.png
        DEPENDS ../icon/pentobi-${sz}.svg)
    install(FILES "${CMAKE_CURRENT_BINARY_DIR}/pentobi-${sz}.png"
        DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/${sz}x${sz}/apps
        RENAME pentobi.png)
endforeach()
add_custom_command(OUTPUT pentobi-24.png
    COMMAND "${RSVG_CONVERT}" -z 0.5
    "${CMAKE_CURRENT_SOURCE_DIR}/../icon/pentobi-48.svg"
    > pentobi-24.png
    DEPENDS ../icon/pentobi-48.svg)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/pentobi-24.png"
    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/24x24/apps
    RENAME pentobi.png)
add_custom_command(OUTPUT pentobi-32.png
    COMMAND "${RSVG_CONVERT}" -z 0.25
    "${CMAKE_CURRENT_SOURCE_DIR}/../icon/pentobi-128.svg"
    > pentobi-32.png
    DEPENDS ../icon/pentobi-128.svg)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/pentobi-32.png"
    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/32x32/apps
    RENAME pentobi.png)
add_custom_command(OUTPUT pentobi-64.png
    COMMAND "${RSVG_CONVERT}" -z 0.5
    "${CMAKE_CURRENT_SOURCE_DIR}/../icon/pentobi-128.svg"
    > pentobi-64.png
    DEPENDS ../icon/pentobi-128.svg)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/pentobi-64.png"
    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/64x64/apps
    RENAME pentobi.png)
add_custom_command(OUTPUT pentobi-256.png
    COMMAND "${RSVG_CONVERT}" -z 2
    "${CMAKE_CURRENT_SOURCE_DIR}/../icon/pentobi-128.svg"
    > pentobi-256.png
    DEPENDS ../icon/pentobi-128.svg)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/pentobi-256.png"
    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/256x256/apps
    RENAME pentobi.png)
install(FILES ../icon/pentobi-128.svg
    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/scalable/apps
    RENAME pentobi.svg)

foreach(sz 16 22 48 128)
    add_custom_command(
        OUTPUT io.sourceforge.pentobi.application-x-blokus-sgf-${sz}.png
        COMMAND "${RSVG_CONVERT}"
        "${CMAKE_CURRENT_SOURCE_DIR}/io.sourceforge.pentobi.application-x-blokus-sgf-${sz}.svg"
        > io.sourceforge.pentobi.application-x-blokus-sgf-${sz}.png
        DEPENDS io.sourceforge.pentobi.application-x-blokus-sgf-${sz}.svg)
    install(
        FILES "${CMAKE_CURRENT_BINARY_DIR}/io.sourceforge.pentobi.application-x-blokus-sgf-${sz}.png"
        DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/${sz}x${sz}/mimetypes
        RENAME io.sourceforge.pentobi.application-x-blokus-sgf.png)
endforeach()
add_custom_command(
    OUTPUT io.sourceforge.pentobi.application-x-blokus-sgf-24.png
    COMMAND "${RSVG_CONVERT}" -z 0.5
    "${CMAKE_CURRENT_SOURCE_DIR}/io.sourceforge.pentobi.application-x-blokus-sgf-48.svg"
    > io.sourceforge.pentobi.application-x-blokus-sgf-24.png
    DEPENDS io.sourceforge.pentobi.application-x-blokus-sgf-48.svg)
install(
    FILES "${CMAKE_CURRENT_BINARY_DIR}/io.sourceforge.pentobi.application-x-blokus-sgf-24.png"
    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/24x24/mimetypes
    RENAME io.sourceforge.pentobi.application-x-blokus-sgf.png)
add_custom_command(
    OUTPUT io.sourceforge.pentobi.application-x-blokus-sgf-32.png
    COMMAND "${RSVG_CONVERT}" -z 0.25
    "${CMAKE_CURRENT_SOURCE_DIR}/io.sourceforge.pentobi.application-x-blokus-sgf-128.svg"
    > io.sourceforge.pentobi.application-x-blokus-sgf-32.png
    DEPENDS io.sourceforge.pentobi.application-x-blokus-sgf-128.svg)
install(
    FILES "${CMAKE_CURRENT_BINARY_DIR}/io.sourceforge.pentobi.application-x-blokus-sgf-32.png"
    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/32x32/mimetypes
    RENAME io.sourceforge.pentobi.application-x-blokus-sgf.png)
add_custom_command(
    OUTPUT io.sourceforge.pentobi.application-x-blokus-sgf-64.png
    COMMAND "${RSVG_CONVERT}" -z 0.5
    "${CMAKE_CURRENT_SOURCE_DIR}/io.sourceforge.pentobi.application-x-blokus-sgf-128.svg"
    > io.sourceforge.pentobi.application-x-blokus-sgf-64.png
    DEPENDS io.sourceforge.pentobi.application-x-blokus-sgf-128.svg)
install(
    FILES "${CMAKE_CURRENT_BINARY_DIR}/io.sourceforge.pentobi.application-x-blokus-sgf-64.png"
    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/64x64/mimetypes
    RENAME io.sourceforge.pentobi.application-x-blokus-sgf.png)
add_custom_command(
    OUTPUT io.sourceforge.pentobi.application-x-blokus-sgf-256.png
    COMMAND "${RSVG_CONVERT}" -z 2
    "${CMAKE_CURRENT_SOURCE_DIR}/io.sourceforge.pentobi.application-x-blokus-sgf-128.svg"
    > io.sourceforge.pentobi.application-x-blokus-sgf-256.png
    DEPENDS io.sourceforge.pentobi.application-x-blokus-sgf-128.svg)
install(
    FILES "${CMAKE_CURRENT_BINARY_DIR}/io.sourceforge.pentobi.application-x-blokus-sgf-256.png"
    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/256x256/mimetypes
    RENAME io.sourceforge.pentobi.application-x-blokus-sgf.png)
install(
    FILES io.sourceforge.pentobi.application-x-blokus-sgf-128.svg
    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/scalable/mimetypes
    RENAME io.sourceforge.pentobi.application-x-blokus-sgf.svg)

# Desktop entry

add_custom_command(OUTPUT io.sourceforge.pentobi.desktop
    COMMAND "${GETTEXT_MSGFMT_EXECUTABLE}" --desktop
    -d "${CMAKE_CURRENT_SOURCE_DIR}/po"
    --template "${CMAKE_CURRENT_SOURCE_DIR}/io.sourceforge.pentobi.desktop.in"
    -o io.sourceforge.pentobi.desktop
    DEPENDS io.sourceforge.pentobi.desktop.in
    ${po_files} po/LINGUAS)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/io.sourceforge.pentobi.desktop
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/applications")

# AppData

add_custom_command(OUTPUT io.sourceforge.pentobi.appdata.xml
    COMMAND "${GETTEXT_MSGFMT_EXECUTABLE}" --xml
    -d "${CMAKE_CURRENT_SOURCE_DIR}/po"
    --template "${CMAKE_CURRENT_SOURCE_DIR}/io.sourceforge.pentobi.appdata.xml.in"
    -o io.sourceforge.pentobi.appdata.xml
    DEPENDS io.sourceforge.pentobi.appdata.xml.in ${po_files} po/LINGUAS
)
install(
    FILES "${CMAKE_CURRENT_BINARY_DIR}/io.sourceforge.pentobi.appdata.xml"
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/metainfo"
)

# Shared MIME info

add_custom_command(OUTPUT io.sourceforge.pentobi.xml
    COMMAND "${GETTEXT_MSGFMT_EXECUTABLE}" --xml
    -d "${CMAKE_CURRENT_SOURCE_DIR}/po"
    --template "${CMAKE_CURRENT_SOURCE_DIR}/io.sourceforge.pentobi.xml.in"
    -o io.sourceforge.pentobi.xml
    DEPENDS io.sourceforge.pentobi.xml.in ${po_files} po/LINGUAS
    )
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/io.sourceforge.pentobi.xml"
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/mime/packages")

# Target

add_custom_target(pentobi-unix ALL DEPENDS
    io.sourceforge.pentobi.appdata.xml
    io.sourceforge.pentobi.application-x-blokus-sgf-16.png
    io.sourceforge.pentobi.application-x-blokus-sgf-22.png
    io.sourceforge.pentobi.application-x-blokus-sgf-24.png
    io.sourceforge.pentobi.application-x-blokus-sgf-32.png
    io.sourceforge.pentobi.application-x-blokus-sgf-48.png
    io.sourceforge.pentobi.application-x-blokus-sgf-64.png
    io.sourceforge.pentobi.application-x-blokus-sgf-128.png
    io.sourceforge.pentobi.application-x-blokus-sgf-256.png
    io.sourceforge.pentobi.desktop
    io.sourceforge.pentobi.xml
    pentobi-16.png
    pentobi-22.png
    pentobi-24.png
    pentobi-32.png
    pentobi-48.png
    pentobi-64.png
    pentobi-128.png
    pentobi-256.png
    )

=== debian/changelog ===
pentobi (25.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 25.2
  * Update BD (Closes: #1088893)
  * Bump to SV 4.7.0

 -- Patrice Duroux <patrice.duroux@gmail.com>  Wed, 01 Jan 2025 13:06:08 +0100

=== debian/control ===
Source: pentobi
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Juhani Numminen <juhaninumminen0@gmail.com>
Build-Depends: appstream,
               cmake,
               debhelper-compat (= 13),
               gettext,
               itstool,
               librsvg2-bin,
               qt6-base-dev (>= 6.4),
               qt6-declarative-dev,
               qt6-tools-dev,
               libxkbcommon-dev,
               qt6-declarative-private-dev,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://pentobi.sourceforge.io
Vcs-Git: https://salsa.debian.org/games-team/pentobi.git
Vcs-Browser: https://salsa.debian.org/games-team/pentobi

Package: pentobi
Architecture: any
Depends: qml6-module-qtcore,
         qml6-module-qt-labs-settings,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends}
Description: clone of the strategy board game Blokus
 Pentobi is a strategy board game played on a square grid board using playing
 pieces in the shapes of polyominoes, similar to Tetris pieces.  The aim of the
 game is to place all of your pieces while trying to block your opponent from
 placing all of theirs.
 .
 The game ends when no one can place any more pieces and the winner is
 determined by calculating the score based on the points of any remaining
 playing pieces. Bonus points are added for playing every piece and additional
 bonus points are added if the monomino, the 1x1 square piece, is played last.

## pentobi 26.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.19)
 
 project(pentobi CXX)
-set(PENTOBI_VERSION 25.2)
+set(PENTOBI_VERSION 26.3)
 
 include(GNUInstallDirs)
 
@@ -49,11 +49,10 @@
 endif()
 if(PENTOBI_BUILD_GUI)
     find_package(Gettext 0.19.6 REQUIRED)
-    find_program(ITSTOOL itstool REQUIRED)
     find_program(RSVG_CONVERT rsvg-convert REQUIRED)
     set(CMAKE_AUTORCC ON)
-    find_package(Qt6 6.4 REQUIRED
-        COMPONENTS Concurrent LinguistTools QuickControls2)
-    qt_standard_project_setup()
+    find_package(Qt6 6.5 REQUIRED
+        COMPONENTS Concurrent LinguistTools QuickControls2 Xml)
+    qt_standard_project_setup(REQUIRES 6.5)
     add_subdirectory(pentobi)
 endif()

=== learn_tool/CMakeLists.txt ===
add_executable(learn-tool Main.cpp)

target_link_libraries(learn-tool
  pentobi_mcts
  Threads::Threads
)

=== libboardgame_mcts/CMakeLists.txt ===
option(LIBBOARDGAME_MCTS_SINGLE_THREAD
    "Slightly faster MCTS search if only single-threaded search is used" OFF)

add_library(boardgame_mcts INTERFACE
    Atomic.h
    SearchBase.h
    LastGoodReply.h
    Tree.h
    Node.h
    TreeUtil.h
    PlayerMove.h
)

if(LIBBOARDGAME_MCTS_SINGLE_THREAD)
  target_compile_definitions(boardgame_mcts INTERFACE
      LIBBOARDGAME_MCTS_SINGLE_THREAD)
endif()

target_include_directories(boardgame_mcts INTERFACE ..)

target_link_libraries(boardgame_mcts INTERFACE Threads::Threads)

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

=== libboardgame_test/CMakeLists.txt ===
add_library(boardgame_test STATIC
  Test.h
  Test.cpp
)

target_include_directories(boardgame_test PUBLIC ..)

target_link_libraries(boardgame_test boardgame_base)

add_library(boardgame_test_main STATIC Main.cpp)

target_link_libraries(boardgame_test_main boardgame_test)

=== libpentobi_gtp/CMakeLists.txt ===
add_library(pentobi_gtp STATIC
  GtpEngine.h
  GtpEngine.cpp
)

target_include_directories(pentobi_gtp PUBLIC ..)

target_link_libraries(pentobi_gtp boardgame_gtp pentobi_base)

=== libpentobi_mcts/CMakeLists.txt ===
set(LIBPENTOBI_MCTS_FLOAT_TYPE "float" CACHE STRING
    "Floating-point type for MCTS values")

add_library(pentobi_mcts STATIC
  AnalyzeGame.h
  AnalyzeGame.cpp
  Float.h
  History.h
  History.cpp
  LocalPoints.h
  LocalPoints.cpp
  Player.h
  Player.cpp
  PlayoutFeatures.h
  PriorKnowledge.h
  PriorKnowledge.cpp
  SearchParamConst.h
  SharedConst.h
  SharedConst.cpp
  Search.h
  Search.cpp
  State.h
  State.cpp
  StateUtil.h
  StateUtil.cpp
  Util.h
  Util.cpp
)

if(NOT LIBPENTOBI_MCTS_FLOAT_TYPE STREQUAL "float")
  target_compile_definitions(pentobi_mcts PUBLIC
      LIBPENTOBI_MCTS_FLOAT_TYPE=${LIBPENTOBI_MCTS_FLOAT_TYPE})
endif()

target_include_directories(pentobi_mcts PUBLIC ..)

target_link_libraries(pentobi_mcts pentobi_base boardgame_mcts)

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

=== pentobi/CMakeLists.txt ===
--- 
+++ 
@@ -84,7 +84,94 @@
     DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/icons_desktop.qrc" ${images_png}
     )
 
-set(pentobi_src
+qt_add_executable(pentobi WIN32 Main.cpp)
+
+if (WIN32)
+    target_sources(pentobi "windows/pentobi.rc")
+endif()
+
+qt_add_qml_module(pentobi
+    URI PentobiGui
+    QML_FILES
+    AboutDialog.qml
+    AnalyzeDialog.qml
+    AnalyzeGame.qml
+    AppearanceDialog.qml
+    Board.qml
+    BoardContextMenu.qml
+    ButtonCancel.qml
+    ButtonClose.qml
+    ButtonOk.qml
+    Comment.qml
+    ComputerDialog.qml
+    DialogButtonBoxOkCancel.qml
+    DialogLoader.qml
+    ExportImageDialog.qml
+    FatalMessage.qml
+    GameInfoDialog.qml
+    GameVariantDialog.qml
+    GameViewDesktop.qml
+    GameViewMobile.qml
+    GotoMoveDialog.qml
+    HelpDialog.qml
+    HelpViewer.qml
+    HelpWindow.qml
+    ImageSaveDialog.qml
+    InitialRatingDialog.qml
+    LineSegment.qml
+    Main.qml
+    MessageDialog.qml
+    MenuComputer.qml
+    MenuEdit.qml
+    MenuGame.qml
+    MenuGo.qml
+    MenuHelp.qml
+    MenuRecentFiles.qml
+    MenuTools.qml
+    MenuView.qml
+    MoveAnnotationDialog.qml
+    NavigationButtons.qml
+    NavigationPanel.qml
+    OpenDialog.qml
+    PentobiBusyIndicator.qml
+    PentobiButton.qml
+    PentobiDialog.qml
+    PentobiDialogButtonBox.qml
+    PentobiMenu.qml
+    PentobiMenuItem.qml
+    PentobiToolBar.qml
+    PieceBase.qml
+    PieceCallisto.qml
+    PieceClassic.qml
+    PieceGembloQ.qml
+    PieceList.qml
+    PieceManipulator.qml
+    PieceNexos.qml
+    PieceRotationAnimation.qml
+    PieceSelectorDesktop.qml
+    PieceSelectorMobile.qml
+    PieceSwitchedFlipAnimation.qml
+    PieceTrigon.qml
+    QuarterSquare.qml
+    QuestionDialog.qml
+    RatingDialog.qml
+    RatingGraph.qml
+    SaveDialog.qml
+    ScoreDisplay.qml
+    ScoreElement.qml
+    ScoreElement2.qml
+    Square.qml
+    Theme.qml
+    ThemeColorblindDark.qml
+    ThemeColorblindLight.qml
+    ThemeDark.qml
+    ThemeLight.qml
+    ThemeSystem.qml
+    Triangle.qml
+    gameview.js
+    main.js
+
+    SOURCES
     AnalyzeGameModel.h
     AnalyzeGameModel.cpp
     AndroidUtils.h
@@ -95,7 +182,6 @@
     GameModel.cpp
     ImageProvider.h
     ImageProvider.cpp
-    Main.cpp
     Paint.h
     Paint.cpp
     PieceModel.h
@@ -111,102 +197,8 @@
     "${CMAKE_CURRENT_BINARY_DIR}/translations.qrc"
     "${CMAKE_CURRENT_BINARY_DIR}/icons.qrc"
     "${CMAKE_CURRENT_BINARY_DIR}/icons_desktop.qrc"
-    "${CMAKE_CURRENT_BINARY_DIR}/help/help.qrc"
+    help/help.qrc
     ../opening_books/pentobi_books.qrc
-    )
-if (WIN32)
-    list(APPEND pentobi_src "windows/pentobi.rc")
-endif()
-
-add_custom_command(
-    OUTPUT help/help.qrc
-    COMMAND ${CMAKE_COMMAND} -E copy
-    "${CMAKE_CURRENT_SOURCE_DIR}/help/help.qrc" help
-    DEPENDS pentobi-help help/help.qrc
-    )
-
-qt_add_executable(pentobi WIN32 ${pentobi_src})
-
-qt_add_qml_module(pentobi
-    URI qml
-    VERSION 0.0
-    QML_FILES
-      AboutDialog.qml
-      AnalyzeDialog.qml
-      AnalyzeGame.qml
-      AppearanceDialog.qml
-      Board.qml
-      BoardContextMenu.qml
-      ButtonCancel.qml
-      ButtonClose.qml
-      ButtonOk.qml
-      ComputerDialog.qml
-      Comment.qml
-      DialogButtonBoxOkCancel.qml
-      DialogLoader.qml
-      ExportImageDialog.qml
-      FatalMessage.qml
-      GameViewDesktop.qml
-      GameViewMobile.qml
-      GameInfoDialog.qml
-      GameVariantDialog.qml
-      GotoMoveDialog.qml
-      HelpDialog.qml
-      HelpViewer.qml
-      HelpWindow.qml
-      ImageSaveDialog.qml
-      InitialRatingDialog.qml
-      LineSegment.qml
-      Main.qml
-      MessageDialog.qml
-      MenuComputer.qml
-      MenuEdit.qml
-      MenuGame.qml
-      MenuGo.qml
-      MenuHelp.qml
-      MenuRecentFiles.qml
-      MenuTools.qml
-      MenuView.qml
-      MoveAnnotationDialog.qml
-      NavigationButtons.qml
-      NavigationPanel.qml
-      OpenDialog.qml
-      PentobiBusyIndicator.qml
-      PentobiButton.qml
-      PentobiDialog.qml
-      PentobiDialogButtonBox.qml
-      PentobiMenu.qml
-      PentobiMenuItem.qml
-      PentobiToolBar.qml
-      PieceBase.qml
-      PieceCallisto.qml
-      PieceClassic.qml
-      PieceGembloQ.qml
-      PieceList.qml
-      PieceManipulator.qml
-      PieceNexos.qml
-      PieceRotationAnimation.qml
-      PieceSelectorDesktop.qml
-      PieceSelectorMobile.qml
-      PieceSwitchedFlipAnimation.qml
-      PieceTrigon.qml
-      QuarterSquare.qml
-      QuestionDialog.qml
-      RatingDialog.qml
-      RatingGraph.qml
-      SaveDialog.qml
-      ScoreDisplay.qml
-      ScoreElement.qml
-      ScoreElement2.qml
-      Square.qml
-      Triangle.qml
-      Main.js
-      GameView.js
-      themes/colorblind-dark/Theme.qml
-      themes/colorblind-light/Theme.qml
-      themes/dark/Theme.qml
-      themes/light/Theme.qml
-      themes/system/Theme.qml
 )
 
 if(ANDROID)
@@ -218,8 +210,7 @@
 endif()
 
 target_compile_definitions(pentobi PRIVATE
-    QT_DEPRECATED_WARNINGS
-    QT_DISABLE_DEPRECATED_BEFORE=0x060700
+    QT_DISABLE_DEPRECATED_UP_TO=0x060800
     QT_NO_NARROWING_CONVERSIONS_IN_CONNECT
     VERSION="${PENTOBI_VERSION}"
     )
@@ -229,10 +220,10 @@
     Qt::Concurrent
     Qt::Qml
     Qt::QuickControls2
+    Qt::Xml
     Threads::Threads
     )
 
-add_subdirectory(help)
 if(UNIX AND NOT ANDROID)
     add_subdirectory(unix)
 endif()

=== pentobi_gtp/CMakeLists.txt ===
add_executable(pentobi-gtp
    GtpEngine.h
    GtpEngine.cpp
    Main.cpp
    )

target_compile_definitions(pentobi-gtp PRIVATE VERSION="${PENTOBI_VERSION}")

target_link_libraries(pentobi-gtp pentobi_gtp pentobi_mcts)

=== twogtp/CMakeLists.txt ===
add_executable(twogtp
  Analyze.h
  Analyze.cpp
  FdStream.h
  FdStream.cpp
  GtpConnection.h
  GtpConnection.cpp
  Main.cpp
  Output.h
  Output.cpp
  OutputTree.h
  OutputTree.cpp
  TwoGtp.h
  TwoGtp.cpp
)

target_link_libraries(twogtp
    pentobi_base
    Threads::Threads
    )

=== libboardgame_base/tests/CMakeLists.txt ===
add_executable(test_libboardgame_base
    ArrayListTest.cpp
    MarkerTest.cpp
    OptionsTest.cpp
    PointTransformTest.cpp
    RatingTest.cpp
    RectGeometryTest.cpp
    SgfNodeTest.cpp
    SgfTreeTest.cpp
    SgfUtilTest.cpp
    StatisticsTest.cpp
    StringRepTest.cpp
    StringUtilTest.cpp
    TreeReaderTest.cpp
    )

target_link_libraries(test_libboardgame_base
    boardgame_test_main
    boardgame_base
    )

add_test(libboardgame_base test_libboardgame_base)

=== libboardgame_gtp/tests/CMakeLists.txt ===
add_executable(test_libboardgame_gtp
  ArgumentsTest.cpp
  CmdLineTest.cpp
  GtpEngineTest.cpp
)

target_link_libraries(test_libboardgame_gtp
    boardgame_test_main
    boardgame_gtp
    )

add_test(libboardgame_gtp test_libboardgame_gtp)

=== libpentobi_base/tests/CMakeLists.txt ===
add_executable(test_libpentobi_base
  BoardConstTest.cpp
  BoardTest.cpp
  BoardUpdaterTest.cpp
  GameTest.cpp
  PentobiSgfUtilTest.cpp
)

target_link_libraries(test_libpentobi_base
    boardgame_test_main
    pentobi_base
    )

add_test(libpentobi_base test_libpentobi_base)

=== debian/changelog ===
pentobi (26.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 26.3 (Closes: #1097568)
  * Reformat d/control with debputy
  * Bump Standards-Version to 4.7.2
  * Drop "Rules-Requires-Root: no", it is the new default

 -- Alexandre Detiste <tchet@debian.org>  Fri, 22 Aug 2025 12:38:49 +0200

=== debian/control ===
Source: pentobi
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Juhani Numminen <juhaninumminen0@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 appstream,
 cmake,
 gettext,
 itstool,
 librsvg2-bin,
 libxkbcommon-dev,
 qt6-base-dev (>= 6.4),
 qt6-declarative-dev,
 qt6-declarative-private-dev,
 qt6-tools-dev,
Standards-Version: 4.7.2
Homepage: https://pentobi.sourceforge.io
Vcs-Git: https://salsa.debian.org/games-team/pentobi.git
Vcs-Browser: https://salsa.debian.org/games-team/pentobi
X-Style: black

Package: pentobi
Architecture: any
Depends:
 qml6-module-qt-labs-settings,
 qml6-module-qtcore,
 qml6-module-qtqml-workerscript,
 qml6-module-qtquick-controls,
 qml6-module-qtquick-dialogs,
 qml6-module-qtquick-layouts,
 qml6-module-qtquick-templates,
 qml6-module-qtquick-window,
 ${misc:Depends},
 ${shlibs:Depends},
Description: clone of the strategy board game Blokus
 Pentobi is a strategy board game played on a square grid board using playing
 pieces in the shapes of polyominoes, similar to Tetris pieces.  The aim of the
 game is to place all of your pieces while trying to block your opponent from
 placing all of theirs.
 .
 The game ends when no one can place any more pieces and the winner is
 determined by calculating the score based on the points of any remaining
 playing pieces. Bonus points are added for playing every piece and additional
 bonus points are added if the monomino, the 1x1 square piece, is played last.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export QT_SELECT = qt6
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Optimize with O3 to make the computationally expensive higher levels faster.
ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
  export DEB_CXXFLAGS_MAINT_APPEND = -O3
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DBUILD_TESTING=ON \
		-DCMAKE_INSTALL_BINDIR=/usr/games \
		-DCMAKE_INSTALL_DATADIR=/usr/share/games

## pentobi 29.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,13 @@
-cmake_minimum_required(VERSION 3.19)
+cmake_minimum_required(VERSION 3.22)
 
 project(pentobi CXX)
-set(PENTOBI_VERSION 26.3)
+set(PENTOBI_VERSION_MAJOR 29)
+set(PENTOBI_VERSION_MINOR 0)
+set(PENTOBI_IS_RELEASE TRUE)
+set(PENTOBI_VERSION ${PENTOBI_VERSION_MAJOR}.${PENTOBI_VERSION_MINOR})
+if(NOT PENTOBI_IS_RELEASE)
+    string(APPEND PENTOBI_VERSION "-dev")
+endif()
 
 include(GNUInstallDirs)
 
@@ -49,10 +55,14 @@
 endif()
 if(PENTOBI_BUILD_GUI)
     find_package(Gettext 0.19.6 REQUIRED)
+    find_program(ITSTOOL itstool REQUIRED)
     find_program(RSVG_CONVERT rsvg-convert REQUIRED)
     set(CMAKE_AUTORCC ON)
-    find_package(Qt6 6.5 REQUIRED
-        COMPONENTS Concurrent LinguistTools QuickControls2 Xml)
-    qt_standard_project_setup(REQUIRES 6.5)
+    find_package(Qt6 REQUIRED COMPONENTS
+        Concurrent LinguistTools QuickControls2 Xml)
+    if(ANDROID AND Qt6Core_VERSION VERSION_GREATER_EQUAL "6.10.0")
+        find_package(Qt6 REQUIRED COMPONENTS CorePrivate)
+    endif()
+    qt_standard_project_setup(REQUIRES 6.9)
     add_subdirectory(pentobi)
 endif()

=== libboardgame_base/CMakeLists.txt ===
add_library(boardgame_base STATIC
    ArrayList.h
    Assert.h
    Assert.cpp
    CoordPoint.h
    CoordPoint.cpp
    CpuTime.h
    CpuTime.cpp
    FmtSaver.h
    Geometry.h
    GeometryUtil.h
    Grid.h
    IntervalChecker.h
    IntervalChecker.cpp
    Log.h
    Log.cpp
    Marker.h
    MathUtil.h
    Memory.h
    Memory.cpp
    Options.h
    Options.cpp
    Point.h
    PointTransform.h
    RandomGenerator.h
    RandomGenerator.cpp
    Range.h
    Rating.h
    Rating.cpp
    Reader.h
    Reader.cpp
    RectGeometry.h
    RectTransform.h
    RectTransform.cpp
    SgfError.h
    SgfError.cpp
    SgfNode.h
    SgfNode.cpp
    SgfTree.h
    SgfTree.cpp
    SgfUtil.h
    SgfUtil.cpp
    Statistics.h
    StringRep.h
    StringRep.cpp
    StringUtil.h
    StringUtil.cpp
    Timer.h
    Timer.cpp
    TimeSource.h
    TimeSource.cpp
    Transform.h
    Transform.cpp
    TreeReader.h
    TreeReader.cpp
    TreeWriter.h
    TreeWriter.cpp
    WallTimeSource.h
    WallTimeSource.cpp
    Writer.h
    Writer.cpp
    )

target_compile_options(boardgame_base PUBLIC
    "$<$<CONFIG:DEBUG>:-DLIBBOARDGAME_DEBUG>")

if(ANDROID)
    target_link_libraries(boardgame_base INTERFACE debug log)
endif()

target_include_directories(boardgame_base PUBLIC ..)

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

=== pentobi/CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,6 @@
 # Images and icons to be used with QtQuick Image. We use sourceSize four times
 # larger than the device-indepenent size to support high-dpi images.
 file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/icon")
-file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/icons")
 file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/themes/dark")
 file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/themes/light")
 set(pentobi_images
@@ -72,17 +71,16 @@
     list(APPEND images_png "${image}.png")
 endforeach()
 add_custom_command(
-    OUTPUT icons.qrc
-    COMMAND ${CMAKE_COMMAND} -E copy "${CMAKE_CURRENT_SOURCE_DIR}/icons.qrc" .
-    DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/icons.qrc" ${images_png}
-    )
-
+    OUTPUT images.qrc
+    COMMAND ${CMAKE_COMMAND} -E copy "${CMAKE_CURRENT_SOURCE_DIR}/images.qrc" .
+    DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/images.qrc" ${images_png}
+    )
 add_custom_command(
-    OUTPUT icons_desktop.qrc
+    OUTPUT help/help.qrc
     COMMAND ${CMAKE_COMMAND} -E copy
-    "${CMAKE_CURRENT_SOURCE_DIR}/icons_desktop.qrc" .
-    DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/icons_desktop.qrc" ${images_png}
-    )
+    "${CMAKE_CURRENT_SOURCE_DIR}/help/help.qrc" help
+    DEPENDS pentobi-help help/help.qrc
+)
 
 qt_add_executable(pentobi WIN32 Main.cpp)
 
@@ -138,7 +136,6 @@
     PentobiDialog.qml
     PentobiDialogButtonBox.qml
     PentobiMenu.qml
-    PentobiMenuItem.qml
     PentobiToolBar.qml
     PieceBase.qml
     PieceCallisto.qml
@@ -162,11 +159,6 @@
     ScoreElement2.qml
     Square.qml
     Theme.qml
-    ThemeColorblindDark.qml
-    ThemeColorblindLight.qml
-    ThemeDark.qml
-    ThemeLight.qml
-    ThemeSystem.qml
     Triangle.qml
     gameview.js
     main.js
@@ -192,17 +184,40 @@
     RatingModel.cpp
     RecentFiles.h
     RecentFiles.cpp
-    SyncSettings.h
     resources.qrc
     "${CMAKE_CURRENT_BINARY_DIR}/translations.qrc"
-    "${CMAKE_CURRENT_BINARY_DIR}/icons.qrc"
-    "${CMAKE_CURRENT_BINARY_DIR}/icons_desktop.qrc"
-    help/help.qrc
+    "${CMAKE_CURRENT_BINARY_DIR}/images.qrc"
+    "${CMAKE_CURRENT_BINARY_DIR}/help/help.qrc"
     ../opening_books/pentobi_books.qrc
+
+    RESOURCES
+    android/AndroidManifest.xml
 )
 
 if(ANDROID)
     target_link_libraries(pentobi PRIVATE Qt::CorePrivate)
+    math(EXPR PENTOBI_ANDROID_CODE
+        "${PENTOBI_VERSION_MAJOR} * 1000000 + ${PENTOBI_VERSION_MINOR} * 1000")
+    if(PENTOBI_IS_RELEASE)
+        math(EXPR PENTOBI_ANDROID_CODE "${PENTOBI_ANDROID_CODE} + 10")
+    endif()
+    if(ANDROID_ABI STREQUAL "arm64-v8a")
+        math(EXPR PENTOBI_ANDROID_CODE "${PENTOBI_ANDROID_CODE} + 1")
+    elseif(ANDROID_ABI STREQUAL "x86")
+        math(EXPR PENTOBI_ANDROID_CODE "${PENTOBI_ANDROID_CODE} + 2")
+    elseif(ANDROID_ABI STREQUAL "x86_64")
+        math(EXPR PENTOBI_ANDROID_CODE "${PENTOBI_ANDROID_CODE} + 3")
+    elseif(NOT STREQUAL ANDROID_ABI "armeabi-v7a")
+        message(FATAL_ERROR "Unknown Android ABI: ${ANDROID_ABI}")
+    endif()
+    set_target_properties(pentobi PROPERTIES
+        QT_ANDROID_APP_ICON "@drawable/icon"
+        QT_ANDROID_APP_NAME "Pentobi"
+        # No insert macro for package name in manifest (Qt. 6.10)
+        # QT_ANDROID_PACKAGE_NAME "net.sf.pentobi"
+        QT_ANDROID_VERSION_CODE ${PENTOBI_ANDROID_CODE}
+        QT_ANDROID_VERSION_NAME ${PENTOBI_VERSION}
+    )
     set_property(TARGET pentobi APPEND PROPERTY
         QT_ANDROID_PACKAGE_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/android)
 else()
@@ -210,7 +225,7 @@
 endif()
 
 target_compile_definitions(pentobi PRIVATE
-    QT_DISABLE_DEPRECATED_UP_TO=0x060800
+    QT_DISABLE_DEPRECATED_UP_TO=0x061000
     QT_NO_NARROWING_CONVERSIONS_IN_CONNECT
     VERSION="${PENTOBI_VERSION}"
     )
@@ -224,6 +239,7 @@
     Threads::Threads
     )
 
+add_subdirectory(help)
 if(UNIX AND NOT ANDROID)
     add_subdirectory(unix)
 endif()

=== pentobi/help/CMakeLists.txt ===
--- 
+++ 
@@ -3,26 +3,26 @@
 
 set(DOCBOOK_SRC
     docbook/index.docbook
-    docbook/analysis.jpg
+    docbook/analysis.png
     docbook/board_callisto.png
     docbook/board_classic.png
     docbook/board_duo.png
     docbook/board_gembloq.png
     docbook/board_nexos.png
-    docbook/board_trigon.jpg
+    docbook/board_trigon.png
     docbook/pieces_callisto.png
-    docbook/pieces_gembloq.jpg
+    docbook/pieces_gembloq.png
     docbook/pieces_junior.png
     docbook/pieces_nexos.png
     docbook/pieces.png
-    docbook/pieces_trigon.jpg
+    docbook/pieces_trigon.png
     docbook/position_callisto.png
     docbook/position_classic.png
     docbook/position_duo.png
     docbook/position_gembloq.png
     docbook/position_nexos.png
-    docbook/position_trigon.jpg
-    docbook/rating.jpg
+    docbook/position_trigon.png
+    docbook/rating.png
     )
 
 foreach(lang ${linguas})

=== debian/changelog ===
pentobi (29.0-1) unstable; urgency=medium

  * Team upload.
  * d/gbp.conf: added with pristine.
  * New upstream version 29.0
  * d/watch: version 5
  * d/copyright: bump year.

 -- Patrice Duroux <patrice.duroux@gmail.com>  Mon, 29 Dec 2025 18:20:54 +0100
